Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.jdom
Class DocumentWrapper

    java.lang.Object
      net.sf.saxon.jdom.NodeWrapper
          net.sf.saxon.jdom.DocumentWrapper

All Implemented Interfaces:
  Source, DocumentInfo, Item, NodeInfo, SiblingCountingNode, ValueRepresentation, VirtualNode

    public class DocumentWrapper

extends NodeWrapper
implements DocumentInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class should have been named Root; it is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Author:
  Michael H. Kay

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`DocumentWrapper(org.jdom.Document doc, String baseURI, Configuration config)` Create a Saxon wrapper for a JDOM document

Method Summary
`Configuration` | `getConfiguration()` Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)
`int` | `getDocumentNumber()` Get the unique document number
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
`NodeInfo` | `selectID(String id)` Get the element with a given ID, if any
`void` | `setConfiguration(Configuration config)` Set the configuration (containing the name pool used for all names in this document)
`NodeWrapper` | `wrap(Object node)` Wrap a node in the JDOM document.

Methods inherited from class net.sf.saxon.jdom.NodeWrapper
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getSiblingPosition, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations, setSystemId`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(org.jdom.Document doc,
                           String baseURI,
                           Configuration config)

  Create a Saxon wrapper for a JDOM document

  Parameters:
    `doc` - The JDOM document
    `baseURI` - The base URI for all the nodes in the document

Method Detail

### wrap

    public NodeWrapper wrap(Object node)

  Wrap a node in the JDOM document.

  Parameters:
    `node` - The node to be wrapped. This must be a node in the same document (the system does not check for this).
  Returns:
    the wrapping NodeInfo object

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration (containing the name pool used for all names in this document)

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration (or the default configuraton allocated automatically)

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `NodeWrapper`
  Returns:
    the Configuration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the NamePool

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`

### selectID

    public NodeInfo selectID(String id)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
  Returns:
    null: JDOM does not provide any information about attribute types.

### getUnparsedEntity

    public String[] getUnparsedEntity(String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    null: JDOM does not provide access to unparsed entities

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.